Summary:        Qt support library for PackageKit
Name:           PackageKit-Qt
Version:        1.1.1
Release:        1

License:        LGPLv2+
URL:            http://www.packagekit.org/

Source0:        https://github.com/hughsie/PackageKit-Qt/archive/PackageKit-Qt-%{version}.tar.gz

BuildRequires:  cmake qt5-qtbase-devel gcc-c++ PackageKit >= 0.9.1 PackageKit-help

Recommends:     PackageKit

%description
PackageKit-Qt is a Qt support library for PackageKit

%package -n PackageKit-Qt5
Summary:        Qt5 support library for PackageKit
Recommends:     PackageKit
%description -n PackageKit-Qt5
%{summary}.

%package -n PackageKit-Qt5-devel
Summary:        Development files for PackageKit-Qt5
Requires:       PackageKit-Qt5%{?_isa} = %{version}-%{release}
%description -n PackageKit-Qt5-devel
%{summary}.


%prep
%autosetup -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%ldconfig_scriptlets -n PackageKit-Qt5

%files -n PackageKit-Qt5
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/libpackagekitqt5.so.%{version}
%{_libdir}/libpackagekitqt5.so.1

%files -n PackageKit-Qt5-devel
%{_libdir}/libpackagekitqt5.so
%{_libdir}/pkgconfig/packagekitqt5.pc
%{_includedir}/packagekitqt5/
%dir %{_libdir}/cmake
%{_libdir}/cmake/packagekitqt5/


%changelog
* Tue Jul 25 2023 sunhui <sunhui@kylinos.cn> - 1.1.1-1
- Update package to version 1.1.1

* Fri Aug 7 2020 weidong <weidong@uniontech.com> - 1.0.1-1
- Initial release for OpenEuler
